Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1771089

Summary: Review Request: nodejs-dreamopt - Command-line parser with readable syntax from your sweetest dreams
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-08 00:45:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 201449, 956806, 1736200    

Description Jared Smith 2019-11-11 20:49:11 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-dreamopt/nodejs-dreamopt.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-dreamopt/nodejs-dreamopt-0.8.0-7.fc31.src.rpm
Description: Command-line parser with readable syntax from your sweetest dreams
Fedora Account System Username: jsmith

FWIW, this is a re-review of a previously orphaned package

Comment 1 Robert-André Mauchin 🐧 2019-12-08 22:59:25 UTC
 Tests fail:

  265 passing (136ms)
  41 failing

  1) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given [""] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"argv":[]}, expected = {"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  2) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["-a"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"AAA":true,"argv":[]}, expected = {"AAA":true,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  3) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["-b","10"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"BBB":10,"argv":[]}, expected = {"BBB":10,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  4) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["-b10"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"BBB":10,"argv":[]}, expected = {"BBB":10,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  5) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["-ac"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"AAA":true,"ccc":true,"argv":[]}, expected = {"AAA":true,"ccc":true,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  6) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["-ab","10"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"AAA":true,"BBB":10,"argv":[]}, expected = {"AAA":true,"BBB":10,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  7) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["-ab10"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"AAA":true,"BBB":10,"argv":[]}, expected = {"AAA":true,"BBB":10,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  8) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["--AAA"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"AAA":true,"argv":[]}, expected = {"AAA":true,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  9) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["--no-AAA"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"AAA":false,"argv":[]}, expected = {"AAA":false,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  10) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["--ccc"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"ccc":true,"argv":[]}, expected = {"ccc":true,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  11) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["--no-ccc"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"ccc":false,"argv":[]}, expected = {"ccc":false,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  12) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["--BBB","10"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"BBB":10,"argv":[]}, expected = {"BBB":10,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  13) dreamopt with a syntax as simple as -a/--AAA, -b/--BBB COUNT, -c/--ccc when given ["--BBB=10"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"BBB":10,"argv":[]}, expected = {"BBB":10,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  14) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given [] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"argv":[]}, expected = {"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  15) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given ["-v"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"verbose":true,"argv":[]}, expected = {"verbose":true,"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  16) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given ["foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":"foo","argv":["foo"]}, expected = {"argv":["foo"],"first":"foo"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  17) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given ["foo","bar"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":"foo","second":"bar","argv":["foo","bar"]}, expected = {"argv":["foo","bar"],"first":"foo","second":"bar"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  18) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given ["-v","foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"verbose":true,"first":"foo","argv":["foo"]}, expected = {"argv":["foo"],"first":"foo","verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  19) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given ["foo","-v"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"verbose":true,"first":"foo","argv":["foo"]}, expected = {"argv":["foo"],"first":"foo","verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  20) dreamopt with a syntax that has two positional arguments and one option (-v/--verbose) when given ["-v","foo","bar"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"verbose":true,"first":"foo","second":"bar","argv":["foo","bar"]}, expected = {"argv":["foo","bar"],"first":"foo","second":"bar","verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  21) dreamopt with a syntax that has two positional arguments, both of which have default values when given [] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":10,"second":20,"argv":[10,20]}, expected = {"argv":[10,20],"first":10,"second":20}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  22) dreamopt with a syntax that has two positional arguments, both of which have default values when given ["foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":"foo","second":20,"argv":["foo",20]}, expected = {"argv":["foo",20],"first":"foo","second":20}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  23) dreamopt with a syntax that has two positional arguments, both of which have default values when given ["foo","bar"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":"foo","second":"bar","argv":["foo","bar"]}, expected = {"argv":["foo","bar"],"first":"foo","second":"bar"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  24) dreamopt with a syntax that has two positional arguments, one of which is required when given ["foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":"foo","second":20,"argv":["foo",20]}, expected = {"argv":["foo",20],"first":"foo","second":20}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  25) dreamopt with a syntax that has two positional arguments, one of which is required when given ["foo","bar"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"first":"foo","second":"bar","argv":["foo","bar"]}, expected = {"argv":["foo","bar"],"first":"foo","second":"bar"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  26) dreamopt with a syntax that has a required option when given ["--src","xxx"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"src":"xxx","argv":[]}, expected = {"src":"xxx","argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  27) dreamopt with a syntax that has a required option when given ["--src","xxx","zzz"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"src":"xxx","first":"zzz","argv":["zzz"]}, expected = {"src":"xxx","first":"zzz","argv":["zzz"]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  28) dreamopt with a syntax that has a required option when given ["zzz","--src","xxx"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"src":"xxx","first":"zzz","argv":["zzz"]}, expected = {"src":"xxx","first":"zzz","argv":["zzz"]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  29) dreamopt with a syntax that has a list option when given [] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"src":[],"argv":[]}, expected = {"src":[],"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  30) dreamopt with a syntax that has a list option when given ["--src","xxx"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"src":["xxx"],"argv":[]}, expected = {"src":["xxx"],"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  31) dreamopt with a syntax that has a list option when given ["--src","xxx","--src","yyy"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"src":["xxx","yyy"],"argv":[]}, expected = {"src":["xxx","yyy"],"argv":[]}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  32) dreamopt with a syntax that has two subcommands when given ["foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"foo","argv":[]}, expected = {"argv":[],"command":"foo"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  33) dreamopt with a syntax that has two subcommands when given ["bar"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"bar","argv":[],"bbbar":42}, expected = {"argv":[],"command":"bar","bbbar":42}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  34) dreamopt with a syntax that has a subcommand with local options when given ["foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"foo","argv":[]}, expected = {"argv":[],"command":"foo"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  35) dreamopt with a syntax that has a subcommand with local options when given ["-v","foo"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"verbose":true,"command":"foo","argv":[]}, expected = {"argv":[],"command":"foo","verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  36) dreamopt with a syntax that has a subcommand with local options when given ["foo","-v"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"foo","verbose":true,"argv":[]}, expected = {"argv":[],"command":"foo","verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  37) dreamopt with a syntax that has a subcommand with local options when given ["bar"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"bar","argv":[]}, expected = {"argv":[],"command":"bar"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  38) dreamopt with a syntax that has a subcommand with local options when given ["bar","--boz"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"bar","boz":true,"argv":[]}, expected = {"argv":[],"command":"bar","boz":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  39) dreamopt with a syntax that has a subcommand with local options when given ["-v","bar","--boz"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"verbose":true,"command":"bar","boz":true,"argv":[]}, expected = {"argv":[],"command":"bar","boz":true,"verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  40) dreamopt with a syntax that has a subcommand with local options when given ["bar","--boz","-v"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"bar","boz":true,"verbose":true,"argv":[]}, expected = {"argv":[],"command":"bar","boz":true,"verbose":true}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)

  41) dreamopt with a git-style syntax when given ["push"] should not return any other option keys:
     AssertionError [ERR_ASSERTION]: Extra keys found in expected: , actual = {"command":"push","argv":[]}, expected = {"argv":[],"command":"push"}
      at Context.<anonymous> (test/dreamopt_test.js:48:23)
      at processImmediate (internal/timers.js:439:21)



error: Bad exit status from /var/tmp/rpm-tmp.xsGsSv (%check)

Comment 2 Package Review 2020-12-08 00:45:22 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 3 Package Review 2021-01-08 00:45:44 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.